multitap
Prev | Orchestra Opcodes and Operators | Next

## multitap

multitap — Multitap delay line implementation.

## Description

Multitap delay line implementation.

## Syntax

    ares multitap asig [, itime1] [, igain1] [, itime2] [, igain2] [...]

## Initialization

The arguments itime and igain set the position and gain of each tap.

The delay line is fed by asig.

## Examples

      a1      oscil      1000, 100, 1
      a2      multitap   a1, 1.2, .5, 1.4, .2
              out        a2

This results in two delays, one with length of 1.2 and gain of .5, and one with length of 1.4 and gain of .2.

## Credits

Author: Paris Smaragdis
MIT, Cambridge
1996

Prev | Up | Next
mrtmsg | Home | mute